# Ubuntu CI Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
import time_sorted_tests
import unittest


data = '''ticket.tests.test_read_api.TicketReadAPITest.test_get_ticket_steps_detail ...  OK (0.049 secs)
ticket.tests.test_read_api.TicketReadAPITest.test_get_ticket_update_status_api ... OK (0.046 secs)'''


class TestGenTimings(unittest.TestCase):

    def test_gen_timings(self):
        t = time_sorted_tests.gen_timings(data)
        t = t.next()
        self.assertEqual(t[0], 'ticket.tests.test_read_api.TicketReadAPITest.test_get_ticket_steps_detail')
        self.assertEqual(t[1], 0.049)

    def test_gen_timings_bad_data(self):
        t = time_sorted_tests.gen_timings(data + '\noutput from test.')
        # Iterate through all the data.
        [x for x in t]

    def test_sort_timings(self):
        t = time_sorted_tests.gen_timings(data)
        s = time_sorted_tests.sort_timings(t)
        self.assertEqual(s[0][1], 0.046)
        self.assertEqual(s[1][1], 0.049)


if __name__ == '__main__':
    unittest.main()
