# Ubuntu CI Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os
import simplejson as json

from ci_utils import get_service_dir


def _get_intercom_path():
    """Return the absolute path of the 'intercom.json' file on units."""
    return os.path.join(get_service_dir(), 'intercom.json')


def get_url(service, unit=0):
    """Return the HTTP root URL for a intercom related service.

    Return None if the service (or unit) was not found.
    """
    unit_name = '{}/{}'.format(service, unit)
    with open(_get_intercom_path()) as fd:
        intercom = json.load(fd)
    for rel in intercom.values():
        if rel['unit'] == unit_name:
            return 'http://{}:{}/'.format(rel['hostname'], rel['port'])
