#!/usr/bin/env python
# Ubuntu CI Engine
# Copyright 2013, 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os
import sys


HERE = os.path.abspath(os.path.dirname(__file__))
# get ci_utils.setuptools on the path
sys.path.append(os.path.join(HERE, '..', 'ci-utils'))
from ci_utils.setup_helper import setup

requires = [
    'PyYAML==3.10',
    'amqplib==1.0.0',
    # Required by test_update.py and test_sourcecode.py.
    'bzr==2.6.0',
    'chardet>=2.0.1',
    'django-tastypie==0.9.15',
    'dput>=1.6',
    'mock==1.0.1',
    'python-gnupg>=0.3.6',
    'python-jenkins==0.2.1',
    'ucitests==0.1.5',
    'sst==0.2.4',
]

extra = {
    'requires_openstack': True,
}

setup('ci-utils', 'ci_utils.tests', requires, **extra)
