# -*- coding: utf-8 -*-
# Ubuntu CI Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from . import BaseUnitTestCase, BaseUnitTestCaseWithErrors

import subprocess
import os


class ResignPackageTests(BaseUnitTestCase):
    def setUp(self):
        super(ResignPackageTests, self).setUp()
        self.script = os.path.join(self.root_dir, '../resignpackage')
        self.changes = os.path.join(self.changelogs_file_dir,
                                    'adduser.changes')

    def test_main(self):
        cmd = ("{}  -l {}".format(self.script, self.changes))
        output = subprocess.check_output(cmd, shell=True,
                                         stderr=subprocess.STDOUT)
        self.assertIn("clearsign failed: secret key not available", output)

    def test_parse_args(self):
        cmd = "{} | 2>&1".format(self.script)
        output = subprocess.check_output(cmd, shell=True,
                                         stderr=subprocess.STDOUT)
        self.assertIn("content-url is required", output)
