#!/usr/bin/env python
# Ubuntu CI Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


from ci_utils.health_check import HealthCheck


def check_gatekeeper():
    return True, None


def main():
    with HealthCheck('gatekeeper') as check:
        result, output = check_gatekeeper()
        if result:
            check.write_result_ok()
        else:
            check.write_result_failed(output)


if __name__ == "__main__":
    main()
