# -*- coding: utf-8 -*-
# Ubuntu CI Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""Swift Sandbox datastore options."""
from __future__ import unicode_literals

import os


class DataStoreOptions(object):
    """Swift datastore options builder."""

    def __init__(self, **kwargs):
        self.auth_url = kwargs.get('auth_url', os.environ.get('OS_AUTH_URL'))
        self.username = kwargs.get('username', os.environ.get('OS_USERNAME'))
        self.password = kwargs.get('password', os.environ.get('OS_PASSWORD'))
        self.tenant = kwargs.get('tenant', os.environ.get('OS_TENANT_NAME'))
        self.region = kwargs.get('region', os.environ.get('OS_REGION_NAME'))
        self.api_version = kwargs.get('version', '2')
        self.access_key_id = kwargs.get('access_key_id', '')
        self.tenant_id = kwargs.get('tenant_id', '')
        self.secret_key = kwargs.get('secret_key', '')
        self.expires = kwargs.get('expires', '300')
        self.public_host = kwargs.get('public_host', '')
