# -*- coding: utf-8 -*-
# Ubuntu CI Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""Swift datastore test suite."""


class FakeOptions(object):
    """Fake datastore options for tests."""

    def __init__(self, **kwargs):
        self.auth_url = kwargs.get('auth_url', 'http://auth-server.com')
        self.username = kwargs.get('username', 'user')
        self.password = kwargs.get('password', 'pass')
        self.tenant = kwargs.get('tenant', 'user_proj')
        self.region = kwargs.get('region', 'region')
        self.api_version = kwargs.get('version', '2')
        self.access_key_id = kwargs.get('access_key_id', 'ACC_KEY')
        self.tenant_id = kwargs.get('tenant_id', 'TEN_ID')
        self.secret_key = kwargs.get('secret_key', 'SEC_KEY')
        self.expires = kwargs.get('expires', '300')
        self.public_host = kwargs.get('public_host', '')
