# -*- coding: utf-8 -*-
# Ubuntu CI Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""Restish resources module."""
from __future__ import unicode_literals

import logging

from restish import resource


class GatekeeperResource(resource.Resource):
    """Base Gatekeeper REST Resource.

    Provides `datastore` and 'logger' acessors.
    """

    NAME = 'gatekeeper'
    datastore_factory = None

    @property
    def datastore(self):
        if self.datastore_factory is None:
            raise NotImplemented(
                'GatekeeperResource.datastore_factory is undefined!')
        return self.datastore_factory()

    @property
    def logger(self):
        return logging.getLogger(__name__)
