# -*- coding: utf-8 -*-
# Ubuntu CI Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""Restish root resource."""
from __future__ import unicode_literals

from restish import resource
from restish.app import RestishApp

from gatekeeper.resources import GatekeeperResource
from gatekeeper.resources.v1 import API as v1_api


class Root(GatekeeperResource):
    """Root REST Resource."""

    @resource.child('api/v1')
    def api(self, request, segments):
        self.logger.debug('[api]: %s %s', request.url, str(segments))
        return v1_api()


def make_app(datastore_factory):
    """Build the wsgi app object with the given datastore factory."""
    GatekeeperResource.datastore_factory = datastore_factory
    return RestishApp(Root())
