#!/usr/bin/env python
# Ubuntu CI Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os
import sys


HERE = os.path.abspath(os.path.dirname(__file__))
# get ci_utils.setuptools on the path
sys.path.append(os.path.join(HERE, '..', 'ci-utils'))
from ci_utils.setup_helper import setup

requires = [
    'pyOpenSSL==0.14',
    'PyYAML==3.10',
    'amqplib==1.0.0',
    'launchpadlib==1.10.2',
    'lazr.authentication==0.1.2',
    'lazr.restfulclient==0.13.3',
]

extra = {
    'entry_points': {
        'console_scripts': [
            'create-ppa = ppacreator.create_ppa:main'
        ]
    },
    'requires_openstack': True,
}

setup('create-ppa', 'createppa.tests', requires, **extra)
