#!/usr/bin/env python
# Ubuntu Continuous Integration Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import subprocess


import unittest
import deployers


class TestPublisher(deployers.DeployerTest):
    """Integration tests for publisher service run on a juju deployment"""

    def test_worker_running(self):
        """Ensure the publisher worker is deployed and running."""
        self.assert_job_running('ci-airline-publisher-worker')

    def test_publish_package(self):
        code_dir = '/srv/ci-airline-publisher-worker/code/current/'
        args = [
            'juju', 'ssh', 'ci-airline-publisher-worker/0',
            # FIXME: The nagios check shouldn't be run by root but until it's
            # fixed, we need to sudo -- vila 2014-07-25
            'sudo',
            code_dir + 'run-python',
            code_dir + 'publisher/bin/check_worker.py',
        ]
        try:
            subprocess.check_output(args, stderr=subprocess.PIPE)
        except subprocess.CalledProcessError as e:
            raise self.failureException(e.output)

if __name__ == "__main__":
    unittest.main()
