from django.core.management.base import BaseCommand
from django.core.management import CommandError

from provider.oauth2.models import Client


class Command(BaseCommand):
    args = "<url>"
    help = "Create an oauth2 client for the provided url"

    def _is_valid_url(self, url):

        return url is not None and url is not "" and len(url) > 0

    def handle(self, *args, **options):
        url = args[0]

        if not self._is_valid_url(url):
            raise CommandError("invalid url: {}".format(url))

        client, nc = Client.objects.get_or_create(name=url, url=url,
                                                  redirect_uri=url,
                                                  client_type=0)
        self.stdout.write(
            "{}:{}".format(client.client_id, client.client_secret))
