# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'MergeProposal'
        db.create_table('mergeproposal', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('project', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('lp_url', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('target_branch', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('approved_revno', self.gf('django.db.models.fields.IntegerField')()),
            ('sourcepackage', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['project.SourcePackage'])),
            ('version', self.gf('django.db.models.fields.CharField')(max_length=4096)),
        ))
        db.send_create_signal(u'ticket', ['MergeProposal'])

        # Adding model 'Workflow'
        db.create_table(u'ticket_workflow', (
            ('name', self.gf('django.db.models.fields.CharField')(max_length=4096, primary_key=True)),
            ('steps', self.gf('django.db.models.fields.CharField')(max_length=4096)),
        ))
        db.send_create_signal(u'ticket', ['Workflow'])

        # Adding model 'Review'
        db.create_table(u'ticket_review', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('ticket', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ticket.Ticket'])),
            ('workflow_step', self.gf('django.db.models.fields.IntegerField')()),
            ('review_type', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('completed', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal(u'ticket', ['Review'])

        # Adding field 'SubTicket.merge_proposal'
        db.add_column('subticket', 'merge_proposal',
                      self.gf('django.db.models.fields.related.ForeignKey')(default=None, to=orm['ticket.MergeProposal'], null=True, blank=True),
                      keep_default=False)


        # Changing field 'SubTicket.source_package_upload'
        db.alter_column('subticket', 'source_package_upload_id', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ticket.SourcePackageUpload'], null=True))
        # Adding field 'Ticket.workflow'
        db.add_column('ticket', 'workflow',
                      self.gf('django.db.models.fields.related.ForeignKey')(default='default', to=orm['ticket.Workflow']),
                      keep_default=False)

        # Adding field 'Ticket.lander_unit'
        db.add_column('ticket', 'lander_unit',
                      self.gf('django.db.models.fields.IntegerField')(default=0),
                      keep_default=False)


    def backwards(self, orm):
        # Deleting model 'MergeProposal'
        db.delete_table('mergeproposal')

        # Deleting model 'Workflow'
        db.delete_table(u'ticket_workflow')

        # Deleting model 'Review'
        db.delete_table(u'ticket_review')

        # Deleting field 'SubTicket.merge_proposal'
        db.delete_column('subticket', 'merge_proposal_id')


        # Changing field 'SubTicket.source_package_upload'
        db.alter_column('subticket', 'source_package_upload_id', self.gf('django.db.models.fields.related.ForeignKey')(default=None, to=orm['ticket.SourcePackageUpload']))
        # Deleting field 'Ticket.workflow'
        db.delete_column('ticket', 'workflow_id')

        # Deleting field 'Ticket.lander_unit'
        db.delete_column('ticket', 'lander_unit')


    models = {
        u'project.sourcepackage': {
            'Meta': {'object_name': 'SourcePackage', 'db_table': "'sourcepackage'"},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '4096'})
        },
        u'ticket.mergeproposal': {
            'Meta': {'object_name': 'MergeProposal', 'db_table': "'mergeproposal'"},
            'approved_revno': ('django.db.models.fields.IntegerField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lp_url': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'project': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'sourcepackage': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['project.SourcePackage']"}),
            'target_branch': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'version': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'ticket.review': {
            'Meta': {'object_name': 'Review'},
            'completed': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'review_type': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'ticket': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['ticket.Ticket']"}),
            'workflow_step': ('django.db.models.fields.IntegerField', [], {})
        },
        u'ticket.sourcepackageupload': {
            'Meta': {'object_name': 'SourcePackageUpload', 'db_table': "'sourcepackageupload'"},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'sourcepackage': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['project.SourcePackage']"}),
            'version': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'ticket.subticket': {
            'Meta': {'object_name': 'SubTicket', 'db_table': "'subticket'"},
            'assignee': ('django.db.models.fields.EmailField', [], {'max_length': '254'}),
            'current_workflow_step': ('django.db.models.fields.IntegerField', [], {'default': '0', 'max_length': '4096'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'merge_proposal': ('django.db.models.fields.related.ForeignKey', [], {'default': 'None', 'to': u"orm['ticket.MergeProposal']", 'null': 'True', 'blank': 'True'}),
            'source_package_upload': ('django.db.models.fields.related.ForeignKey', [], {'default': 'None', 'to': u"orm['ticket.SourcePackageUpload']", 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '0', 'max_length': '4096'}),
            'ticket': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['ticket.Ticket']"})
        },
        u'ticket.subticketartifact': {
            'Meta': {'object_name': 'SubTicketArtifact', 'db_table': "'subticket_artifact'"},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'reference': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'subticket': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['ticket.SubTicket']", 'null': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'ticket.ticket': {
            'Meta': {'object_name': 'Ticket', 'db_table': "'ticket'"},
            'added_binaries': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True', 'blank': 'True'}),
            'base_image': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'bug_id': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'current_workflow_step': ('django.db.models.fields.IntegerField', [], {'default': '0', 'max_length': '4096'}),
            'description': ('django.db.models.fields.TextField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lander_unit': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'master_ppa': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'owner': ('django.db.models.fields.EmailField', [], {'max_length': '254'}),
            'removed_binaries': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'null': 'True', 'blank': 'True'}),
            'series': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '4096'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '0', 'max_length': '4096'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'updated': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'workflow': ('django.db.models.fields.related.ForeignKey', [], {'default': "'default'", 'to': u"orm['ticket.Workflow']"})
        },
        u'ticket.ticketartifact': {
            'Meta': {'object_name': 'TicketArtifact', 'db_table': "'ticket_artifact'"},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'reference': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'ticket': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['ticket.Ticket']", 'null': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'ticket.workflow': {
            'Meta': {'object_name': 'Workflow'},
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'primary_key': 'True'}),
            'steps': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        }
    }

    complete_apps = ['ticket']