# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):

        # Changing field 'TicketArtifact.ticket'
        db.alter_column('ticket_artifact', 'ticket_id', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ticket.Ticket'], null=False))

        # Changing field 'SubTicketArtifact.subticket'
        db.alter_column('subticket_artifact', 'subticket_id', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ticket.SubTicket'], null=False))

    def backwards(self, orm):

        # Changing field 'TicketArtifact.ticket'
        db.alter_column('ticket_artifact', 'ticket_id', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ticket.Ticket'], null=True))

        # Changing field 'SubTicketArtifact.subticket'
        db.alter_column('subticket_artifact', 'subticket_id', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ticket.SubTicket'], null=True))

    models = {
        u'project.sourcepackage': {
            'Meta': {'object_name': 'SourcePackage', 'db_table': "'sourcepackage'"},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '4096'})
        },
        u'ticket.mergeproposal': {
            'Meta': {'object_name': 'MergeProposal', 'db_table': "'mergeproposal'"},
            'approved_revno': ('django.db.models.fields.IntegerField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lp_url': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'project': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'sourcepackage': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['project.SourcePackage']"}),
            'target_branch': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'version': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'ticket.review': {
            'Meta': {'object_name': 'Review'},
            'completed': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'review_type': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'ticket': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['ticket.Ticket']"}),
            'workflow_step': ('django.db.models.fields.IntegerField', [], {})
        },
        u'ticket.sourcepackageupload': {
            'Meta': {'object_name': 'SourcePackageUpload', 'db_table': "'sourcepackageupload'"},
            'architecture': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'sourcepackage': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['project.SourcePackage']"}),
            'version': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'ticket.subticket': {
            'Meta': {'ordering': "['id']", 'object_name': 'SubTicket', 'db_table': "'subticket'"},
            'assignee': ('django.db.models.fields.EmailField', [], {'max_length': '254'}),
            'current_workflow_step': ('django.db.models.fields.IntegerField', [], {'default': '0', 'max_length': '4096'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'merge_proposal': ('django.db.models.fields.related.ForeignKey', [], {'default': 'None', 'to': u"orm['ticket.MergeProposal']", 'null': 'True', 'blank': 'True'}),
            'source_package_upload': ('django.db.models.fields.related.ForeignKey', [], {'default': 'None', 'to': u"orm['ticket.SourcePackageUpload']", 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '0', 'max_length': '4096'}),
            'ticket': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['ticket.Ticket']"})
        },
        u'ticket.subticketartifact': {
            'Meta': {'object_name': 'SubTicketArtifact', 'db_table': "'subticket_artifact'"},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'reference': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'subticket': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['ticket.SubTicket']"}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'ticket.ticket': {
            'Meta': {'ordering': "['id']", 'object_name': 'Ticket', 'db_table': "'ticket'"},
            'base_image': ('django.db.models.fields.CharField', [], {'default': "'http://cloud-images.ubuntu.com/utopic/current/utopic-server-cloudimg-amd64-disk1.img'", 'max_length': '4096'}),
            'bug_id': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'build_ppa': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'blank': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.fields.EmailField', [], {'max_length': '254', 'null': 'True', 'blank': 'True'}),
            'current_workflow_step': ('django.db.models.fields.IntegerField', [], {'default': '0', 'max_length': '4096'}),
            'description': ('django.db.models.fields.TextField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lander_unit': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'master_ppa': ('django.db.models.fields.CharField', [], {'default': "'ppa:cprov/ci-master'", 'max_length': '4096'}),
            'owner': ('django.db.models.fields.EmailField', [], {'max_length': '254'}),
            'private': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'series': ('django.db.models.fields.CharField', [], {'default': "'utopic'", 'max_length': '4096'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '0', 'max_length': '4096'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'updated': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'uuid': ('django.db.models.fields.CharField', [], {'default': "'785afdfa-4c2a-11e4-9446-001c4229f9ac'", 'unique': 'True', 'max_length': '36'}),
            'workflow': ('django.db.models.fields.related.ForeignKey', [], {'default': "'default'", 'to': u"orm['ticket.Workflow']"})
        },
        u'ticket.ticketartifact': {
            'Meta': {'object_name': 'TicketArtifact', 'db_table': "'ticket_artifact'"},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'reference': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'ticket': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['ticket.Ticket']"}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'ticket.ticketcitrainoverlay': {
            'Meta': {'object_name': 'TicketCiTrainOverlay', 'db_table': "'ticketcitrainoverlay'"},
            'comments': ('django.db.models.fields.TextField', [], {}),
            'job_url': ('django.db.models.fields.URLField', [], {'max_length': '200'}),
            'landers': ('django.db.models.fields.TextField', [], {}),
            'sync_request': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'test_notes': ('django.db.models.fields.TextField', [], {}),
            'ticket': ('django.db.models.fields.related.OneToOneField', [], {'related_name': "'citrain_overlay'", 'unique': 'True', 'primary_key': 'True', 'to': u"orm['ticket.Ticket']"})
        },
        u'ticket.workflow': {
            'Meta': {'object_name': 'Workflow'},
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'primary_key': 'True'}),
            'steps': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        }
    }

    complete_apps = ['ticket']
