# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding field 'SubTicket.sourcepackage'
        db.add_column('subticket', 'sourcepackage',
                      self.gf('django.db.models.fields.related.ForeignKey')(related_name='+', null=True, to=orm['project.SourcePackage']),
                      keep_default=False)

        # Deleting field 'MergeProposal.project'
        db.delete_column('mergeproposal', 'project')

        # Deleting field 'MergeProposal.target_branch'
        db.delete_column('mergeproposal', 'target_branch')

        # Deleting field 'MergeProposal.version'
        db.delete_column('mergeproposal', 'version')

        # Adding field 'MergeProposal.subticket'
        db.add_column('mergeproposal', 'subticket',
                      self.gf('django.db.models.fields.related.ForeignKey')(related_name='merge_proposals', null=True, to=orm['ticket.SubTicket']),
                      keep_default=False)

        # Adding field 'MergeProposal.source_package_upload'
        db.add_column('mergeproposal', 'source_package_upload',
                      self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ticket.SourcePackageUpload'], null=True),
                      keep_default=False)


        # Changing field 'MergeProposal.approved_revno'
        db.alter_column('mergeproposal', 'approved_revno', self.gf('django.db.models.fields.IntegerField')(null=True))

        # Changing field 'MergeProposal.lp_url'
        db.alter_column('mergeproposal', 'lp_url', self.gf('django.db.models.fields.CharField')(max_length=511))
        # Adding field 'SourcePackageUpload.subticket'
        db.add_column('sourcepackageupload', 'subticket',
                      self.gf('django.db.models.fields.related.ForeignKey')(related_name='source_package_uploads', null=True, to=orm['ticket.SubTicket']),
                      keep_default=False)


        # Changing field 'SourcePackageUpload.version'
        db.alter_column('sourcepackageupload', 'version', self.gf('django.db.models.fields.CharField')(max_length=254))

        # Changing field 'SourcePackageUpload.architecture'
        db.alter_column('sourcepackageupload', 'architecture', self.gf('django.db.models.fields.CharField')(max_length=254))

    def backwards(self, orm):
        # Deleting field 'SubTicket.sourcepackage'
        db.delete_column('subticket', 'sourcepackage_id')

        # Adding field 'MergeProposal.project'
        db.add_column('mergeproposal', 'project',
                      self.gf('django.db.models.fields.CharField')(default='', max_length=4096),
                      keep_default=False)

        # Adding field 'MergeProposal.target_branch'
        db.add_column('mergeproposal', 'target_branch',
                      self.gf('django.db.models.fields.CharField')(default='', max_length=4096),
                      keep_default=False)

        # Adding field 'MergeProposal.version'
        db.add_column('mergeproposal', 'version',
                      self.gf('django.db.models.fields.CharField')(default='', max_length=4096),
                      keep_default=False)

        # Deleting field 'MergeProposal.subticket'
        db.delete_column('mergeproposal', 'subticket_id')

        # Deleting field 'MergeProposal.source_package_upload'
        db.delete_column('mergeproposal', 'source_package_upload_id')


        # Changing field 'MergeProposal.approved_revno'
        db.alter_column('mergeproposal', 'approved_revno', self.gf('django.db.models.fields.IntegerField')(default=None))

        # Changing field 'MergeProposal.lp_url'
        db.alter_column('mergeproposal', 'lp_url', self.gf('django.db.models.fields.CharField')(max_length=4096))
        # Deleting field 'SourcePackageUpload.subticket'
        db.delete_column('sourcepackageupload', 'subticket_id')


        # Changing field 'SourcePackageUpload.version'
        db.alter_column('sourcepackageupload', 'version', self.gf('django.db.models.fields.CharField')(max_length=4096))

        # Changing field 'SourcePackageUpload.architecture'
        db.alter_column('sourcepackageupload', 'architecture', self.gf('django.db.models.fields.CharField')(max_length=4096))

    models = {
        u'project.sourcepackage': {
            'Meta': {'object_name': 'SourcePackage', 'db_table': "'sourcepackage'"},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '4096'})
        },
        u'ticket.mergeproposal': {
            'Meta': {'object_name': 'MergeProposal', 'db_table': "'mergeproposal'"},
            'approved_revno': ('django.db.models.fields.IntegerField', [], {'default': 'None', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lp_url': ('django.db.models.fields.CharField', [], {'max_length': '511'}),
            'source_package_upload': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['ticket.SourcePackageUpload']", 'null': 'True'}),
            'sourcepackage': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'+'", 'to': u"orm['project.SourcePackage']"}),
            'subticket': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'merge_proposals'", 'null': 'True', 'to': u"orm['ticket.SubTicket']"})
        },
        u'ticket.review': {
            'Meta': {'object_name': 'Review'},
            'completed': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'review_type': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'ticket': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['ticket.Ticket']"}),
            'workflow_step': ('django.db.models.fields.IntegerField', [], {})
        },
        u'ticket.sourcepackageupload': {
            'Meta': {'object_name': 'SourcePackageUpload', 'db_table': "'sourcepackageupload'"},
            'architecture': ('django.db.models.fields.CharField', [], {'max_length': '254'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'sourcepackage': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'+'", 'to': u"orm['project.SourcePackage']"}),
            'subticket': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'source_package_uploads'", 'null': 'True', 'to': u"orm['ticket.SubTicket']"}),
            'version': ('django.db.models.fields.CharField', [], {'max_length': '254'})
        },
        u'ticket.subticket': {
            'Meta': {'ordering': "['id']", 'object_name': 'SubTicket', 'db_table': "'subticket'"},
            'assignee': ('django.db.models.fields.EmailField', [], {'max_length': '254'}),
            'current_workflow_step': ('django.db.models.fields.IntegerField', [], {'default': '0', 'max_length': '4096'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'merge_proposal': ('django.db.models.fields.related.ForeignKey', [], {'default': 'None', 'related_name': "'+'", 'null': 'True', 'blank': 'True', 'to': u"orm['ticket.MergeProposal']"}),
            'source_package_upload': ('django.db.models.fields.related.ForeignKey', [], {'default': 'None', 'related_name': "'+'", 'null': 'True', 'blank': 'True', 'to': u"orm['ticket.SourcePackageUpload']"}),
            'sourcepackage': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'+'", 'null': 'True', 'to': u"orm['project.SourcePackage']"}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '0', 'max_length': '4096'}),
            'ticket': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['ticket.Ticket']"})
        },
        u'ticket.subticketartifact': {
            'Meta': {'object_name': 'SubTicketArtifact', 'db_table': "'subticket_artifact'"},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'reference': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'subticket': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['ticket.SubTicket']"}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'ticket.ticket': {
            'Meta': {'ordering': "['id']", 'object_name': 'Ticket', 'db_table': "'ticket'"},
            'base_image': ('django.db.models.fields.CharField', [], {'default': "'http://cloud-images.ubuntu.com/utopic/current/utopic-server-cloudimg-amd64-disk1.img'", 'max_length': '4096'}),
            'bug_id': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'build_ppa': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'blank': 'True'}),
            'created': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.fields.EmailField', [], {'max_length': '254', 'null': 'True', 'blank': 'True'}),
            'current_workflow_step': ('django.db.models.fields.IntegerField', [], {'default': '0', 'max_length': '4096'}),
            'description': ('django.db.models.fields.TextField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'lander_unit': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'master_ppa': ('django.db.models.fields.CharField', [], {'default': "'ppa:cprov/ci-master'", 'max_length': '4096'}),
            'owner': ('django.db.models.fields.EmailField', [], {'max_length': '254'}),
            'private': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'series': ('django.db.models.fields.CharField', [], {'default': "'utopic'", 'max_length': '4096'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '0', 'max_length': '4096'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'updated': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'uuid': ('django.db.models.fields.CharField', [], {'default': "'9269433e-53a8-11e4-95bd-001c4229f9ac'", 'unique': 'True', 'max_length': '36'}),
            'workflow': ('django.db.models.fields.related.ForeignKey', [], {'default': "'default'", 'to': u"orm['ticket.Workflow']"})
        },
        u'ticket.ticketartifact': {
            'Meta': {'object_name': 'TicketArtifact', 'db_table': "'ticket_artifact'"},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'reference': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'ticket': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['ticket.Ticket']"}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'ticket.ticketcitrainoverlay': {
            'Meta': {'object_name': 'TicketCiTrainOverlay', 'db_table': "'ticketcitrainoverlay'"},
            'comments': ('django.db.models.fields.TextField', [], {}),
            'job_url': ('django.db.models.fields.URLField', [], {'max_length': '200'}),
            'landers': ('django.db.models.fields.TextField', [], {}),
            'sync_request': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'test_notes': ('django.db.models.fields.TextField', [], {}),
            'ticket': ('django.db.models.fields.related.OneToOneField', [], {'related_name': "'citrain_overlay'", 'unique': 'True', 'primary_key': 'True', 'to': u"orm['ticket.Ticket']"})
        },
        u'ticket.workflow': {
            'Meta': {'object_name': 'Workflow'},
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096', 'primary_key': 'True'}),
            'steps': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        }
    }

    complete_apps = ['ticket']