# Ubuntu CI Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os

from ucitests import styles

import ticket


HERE = os.path.abspath(os.path.dirname(__file__))


class TestPep8(styles.TestPep8):

    packages = [ticket]
    exclude = ['migrations/']


class TestPyflakes(styles.TestPyflakes):

    packages = [ticket]
    migrations = ['ticket/migrations/' + x
                  for x in os.listdir(os.path.join(HERE, '..', 'migrations'))]
    # pyflakes dislikes 'from module import *'
    excludes = ['ticket/tests/__init__.py'] + migrations
