from django.conf.urls import patterns, url

# Ticket 'id' can be an integer or an UUIDv1 (lower-case canonical form).
ticket_id_regexp = r'(\d+|[0-9a-f]{8}-([0-9a-f]{4}-){3}[0-9a-f]{12})'

urlpatterns = patterns(
    '',
    url(r'^$', 'tickets.views.index', name='ticket_index'),
    url(r'^ticket/(?P<ticket_id>{})/$'.format(ticket_id_regexp),
        'tickets.views.detail', name='ticket_detail'),
    url(r'^ticket/(?P<ticket_id>{})/livelog$'.format(ticket_id_regexp),
        'tickets.views.livelog', name='ticket_livelog'),
    url(r'^ticket/(?P<ticket_id>{})/edit$'.format(ticket_id_regexp),
        'tickets.views.edit', name='ticket_edit'),
    url(r'^complete/$', 'tickets.views.complete', name='ticket_complete'),
    url(r'^failed/$', 'tickets.views.failed', name='ticket_failed'),
    url(r'^pending-qa/$', 'tickets.views.pending_qa',
        name='ticket_pending_qa'),
    url(r'^create$', 'tickets.views.create', name='create'),
)
